# Generated by Django 4.0.10 on 2023-05-24 14:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('locations', '0002_alter_location_location_type'),
        ('treatments', '0006_processingline_short_id_and_more'),
    ]

    operations = [
        migrations.RunSQL(
            [
                "UPDATE treatments_processingline SET location = NULL WHERE id > 0;"],
        ),
        migrations.AlterField(
            model_name='processingline',
            name='location',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='processing_lines', to='locations.location', verbose_name='location'),
        ),
    ]
